# #MAMP Server. macOS, Apache, PHP und Mysql

## Apache installieren
```
#installierten, kaputten Apache löschen
sudo apachectl stop
sudo launchctl unload -w /System/Library/LaunchDaemons/org.apache.httpd.plist 2>/dev/null
# Apache installieren
brew install httpd
```
http://localhost eingeben im Browser "It works!"
```
httpd -v
````
## PHP installation per Hombrew
Installiere Homebrew
````
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
````
Installiere PHP 8.1
````
brew install php@8.1
````
Installiere PHP 7.4
````
brew install php@7.4
````
Um PHP in Apache zu aktivieren die httpd.conf bearbeiten.
```

sudo nano /usr/local/etc/httpd/httpd.conf
```
Nach dem Backup die httpd.conf um Zeile
````
LoadModule php_module /usr/local/opt/php/lib/httpd/modules/libphp.so
```
(oder 7.4)
```
LoadModule php7_module /usr/local/opt/php@7.4/lib/httpd/modules/libphp7.so
<FilesMatch \.php$>
    SetHandler application/x-httpd-php
</FilesMatch>
````
ergänzen.

## PHP Version wechseln
```
brew unlink php@8.1
brew link php@7.4 --force --overwrite
````
/usr/local/etc/httpd/httpd.conf anpassen (php7_module)

## MariaDB 
brew install mariadb
